Summary: Library providing support for "XML Signature" and "XML Encryption" standards
Name: xmlsec1
Version: 1.2.34
Release: 3%{?dist}
License: MIT
URL: http://www.aleksey.com/xmlsec/
Source0: https://www.aleksey.com/xmlsec/download/xmlsec1-%{version}.tar.gz

BuildRequires: make, automake, autoconf, libtool, libtool-ltdl-devel
BuildRequires: gettext-devel, libgcrypt-devel >= 1.4.0
BuildRequires: pkgconfig(libxml-2.0) >= 2.8.0
BuildRequires: pkgconfig(libxslt) >= 1.0.20
BuildRequires: pkgconfig(openssl) >= 1.0.0
BuildRequires: pkgconfig(nss) >= 3.11.1
BuildRequires: pkgconfig(nspr) >= 4.4.1
BuildRequires: pkgconfig(gnutls) >= 2.8.0

%description
XML Security Library is a C library based on LibXML2  and OpenSSL.
The library was created with a goal to support major XML security
standards "XML Digital Signature" and "XML Encryption".



%package devel
Summary: Libraries, includes, etc. to develop applications with XML Digital Signatures and XML Encryption support.
Requires: xmlsec1 = %{version}-%{release}
Requires: openssl-devel >= 1.0.0

%description devel
This package provides libraries which you can use to develop applications with XML Digital
Signatures and XML Encryption support.



%package openssl
Summary: OpenSSL crypto plugin for XML Security Library
Requires: xmlsec1 = %{version}-%{release}

%description openssl
This package provides OpenSSL based crypto services for the xmlsec library.



%package openssl-devel
Summary: OpenSSL crypto plugin for XML Security Library
Requires: xmlsec1-devel = %{version}-%{release}
Requires: xmlsec1-openssl = %{version}-%{release}

%description openssl-devel
This package provides libraries for developing XML Security applications with OpenSSL



%package gcrypt
Summary: GCrypt crypto plugin for XML Security Library
Requires: xmlsec1 = %{version}-%{release}

%description gcrypt
This package provides GCrypt based crypto services for the xmlsec library.



%package gcrypt-devel
Summary: GCrypt crypto plugin for XML Security Library
Requires: xmlsec1-devel = %{version}-%{release}
Requires: xmlsec1-gnutls-devel = %{version}-%{release}

%description gcrypt-devel
This package provides libraries for developing XML Security applications with GCrypt.



%package gnutls
Summary: GNUTls crypto plugin for XML Security Library
Requires: xmlsec1 = %{version}-%{release}

%description gnutls
This package provides GNUTls based crypto services for the xmlsec library.



%package gnutls-devel
Summary: GNUTls crypto plugin for XML Security Library
Requires: xmlsec1-devel = %{version}-%{release}
Requires: xmlsec1-openssl-devel = %{version}-%{release}
Requires: gnutls-devel >= 1.0.20

%description gnutls-devel
This package provides libraries for developing XML Security applications with GNUTls.



%package nss
Summary: NSS crypto plugin for XML Security Library
Requires: xmlsec1 = %{version}-%{release}

%description nss
This provides NSS based crypto services for the xmlsec library



%package nss-devel
Summary: NSS crypto plugin for XML Security Library
Requires: xmlsec1-devel = %{version}-%{release}
Requires: xmlsec1-nss = %{version}-%{release}

%description nss-devel
This package provides libraries for developing XML Security applications with NSS.



%prep
%autosetup



%build
autoreconf -vfi
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

sed 's+/lib64+/$archlib+g' < xmlsec1-config | sed 's+/lib+/$archlib+g' | sed 's+ -DXMLSEC_NO_SIZE_T++' > xmlsec1-config.$$ && mv xmlsec1-config.$$ xmlsec1-config



%install
%make_install
rm -vf %{buildroot}%{_libdir}/*.la



%files
%license Copyright
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/xmlsec1
%{_libdir}/libxmlsec1.so.*
%{_mandir}/man1/xmlsec1.1*

%files devel
%doc HACKING
%{_bindir}/xmlsec1-config
%dir %{_includedir}/xmlsec1
%dir %{_includedir}/xmlsec1/xmlsec
%{_includedir}/xmlsec1/xmlsec/*.h
%{_libdir}/libxmlsec1.so
%{_libdir}/pkgconfig/xmlsec1.pc
%{_libdir}/xmlsec1Conf.sh
%{_datadir}/aclocal/xmlsec1.m4
%{_docdir}/xmlsec1/*
%{_mandir}/man1/xmlsec1-config.1*

%files openssl
%{_libdir}/libxmlsec1-openssl.so.*
%{_libdir}/libxmlsec1-openssl.so

%files openssl-devel
%{_includedir}/xmlsec1/xmlsec/openssl/
%{_libdir}/pkgconfig/xmlsec1-openssl.pc

%files gcrypt
%{_libdir}/libxmlsec1-gcrypt.so.*
%{_libdir}/libxmlsec1-gcrypt.so

%files gcrypt-devel
%{_includedir}/xmlsec1/xmlsec/gcrypt/
%{_libdir}/pkgconfig/xmlsec1-gcrypt.pc

%files gnutls
%{_libdir}/libxmlsec1-gnutls.so.*
%{_libdir}/libxmlsec1-gnutls.so

%files gnutls-devel
%{_includedir}/xmlsec1/xmlsec/gnutls/
%{_libdir}/pkgconfig/xmlsec1-gnutls.pc

%files nss
%{_libdir}/libxmlsec1-nss.so.*
%{_libdir}/libxmlsec1-nss.so

%files nss-devel
%{_includedir}/xmlsec1/xmlsec/nss/
%{_libdir}/pkgconfig/xmlsec1-nss.pc

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.34-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.34-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 8 2022 cunshunxia <cunshunxia@tencent.com> - 1.2.34-1
- initial build
